Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx
Class AbstractNamingConventionMBeanInfoProvider

    java.lang.Object
      org.picocontainer.gems.jmx.AbstractNamingConventionMBeanInfoProvider

All Implemented Interfaces:
  MBeanInfoProvider

Direct Known Subclasses:
  ComponentKeyConventionMBeanInfoProvider, ComponentTypeConventionMBeanInfoProvider

    public abstract class AbstractNamingConventionMBeanInfoProvider

extends Object
implements MBeanInfoProvider

Abstract base class for MBeanInfoProvider that search MBeanInfo in the PicoContainer registered with a key that follows naming conventions.

Author:
  Jörg Schaible

Constructor Summary
`AbstractNamingConventionMBeanInfoProvider()`

Method Summary
`protected MBeanInfo` | `instantiateMBeanInfo(String mBeanInfoName, org.picocontainer.PicoContainer picoContainer, ClassLoader classLoader)` Locate a MBeanInfo as component in a PicoContainer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.gems.jmx.MBeanInfoProvider
`provide`

Constructor Detail

### AbstractNamingConventionMBeanInfoProvider

    public AbstractNamingConventionMBeanInfoProvider()

Method Detail

### instantiateMBeanInfo

    protected MBeanInfo instantiateMBeanInfo(String mBeanInfoName,
                                             org.picocontainer.PicoContainer picoContainer,
                                             ClassLoader classLoader)

  Locate a MBeanInfo as component in a PicoContainer. If no component is registered using the name of the MBeanInfo as key, the method turns the name into a type and searches again.

  Parameters:
    `mBeanInfoName` - The name of the `MBeanInfo` used as key.
    `picoContainer` - The `PicoContainer` used for the lookup.
    `classLoader` - The `ClassLoader` used to load the type of the key.
  Returns:
    Returns the MBeanInfo instance or `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.